package com.agri.system.service;

import com.agri.system.domain.SysDtuData;
import com.agri.system.domain.vo.UChartsDataView;
import com.baomidou.mybatisplus.extension.service.IService;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * DTU温湿度上报数据Service接口
 *
 * @author agri
 * @date 2025-12-23
 */
public interface ISysDtuDataService  extends IService<SysDtuData>
{
    /**
     * 查询DTU温湿度上报数据
     *
     * @param id DTU温湿度上报数据主键
     * @return DTU温湿度上报数据
     */
    public SysDtuData selectSysDtuDataById(Long id);

    /**
     * 查询DTU温湿度上报数据列表
     *
     * @param sysDtuData DTU温湿度上报数据
     * @return DTU温湿度上报数据集合
     */
    public List<SysDtuData> selectSysDtuDataList(SysDtuData sysDtuData);

    /**
     * 根据某个信息查询对应数据
     * @param sysDtuData
     * @return
     */
    SysDtuData findDtuDataByInfo(SysDtuData sysDtuData);

    /**
     * 新增DTU温湿度上报数据
     *
     * @param sysDtuData DTU温湿度上报数据
     * @return 结果
     */
    public int insertSysDtuData(SysDtuData sysDtuData);

    /**
     * 修改DTU温湿度上报数据
     *
     * @param sysDtuData DTU温湿度上报数据
     * @return 结果
     */
    public int updateSysDtuData(SysDtuData sysDtuData);

    /**
     * 批量删除DTU温湿度上报数据
     *
     * @param ids 需要删除的DTU温湿度上报数据主键集合
     * @return 结果
     */
    public int deleteSysDtuDataByIds(Long[] ids);

    /**
     * 删除DTU温湿度上报数据信息
     *
     * @param id DTU温湿度上报数据主键
     * @return 结果
     */
    public int deleteSysDtuDataById(Long id);

    List<Map<String, Object>> getLastDtuDataByImeiList(List<String> imeiList);

    UChartsDataView getHistoryData(String imei, LocalDateTime startTime, LocalDateTime endTime);


}
